# FAI update toolkit

FAI’s default utilities were not useful enough for me, so I went and converted them to Ruby in order to modify them as needed.

For many parts, feature sets of the scripts are smaller than original scripts’, though there is some subtle changes and one feature addition: ability to use own custom initrd in a FAI CD. There is also separate base archive creation script.

# Available tools

## Operation with FAI

| create-base-image   | Generates an archive that can be used as a base for nfsroot and installations                   |
| create-base         | Creates base version of FAI nfsroot                                                             |
| create-fai-mirror   | Creates a package mirror that only includes packages necessary to complete a full installation  |
| create-fai-vm       | (Incomplete) Does a full virtual machine installation in a chroot                               |
| create-nfsroot      | Creates or updates a FAI nfsroot                                                                |
| create-update-cd    | Creates installation or update media                                                            |

## Performing updates

perform-online-update   | Runs FAI softupdate routine for current host                                                  |
perform-system-update   | Runs FAI softupdate routine when computer has been booted to a special update mode            |
perform-update-on-host  | Performs FAI softupdate on a target host, using SSH                                           |
sync-configuration      | Incomplete.                                                                                   |
update-from-cd          | Incomplete.                                                                                   |

## Miscellaneous

build-package             | Incomplete. |
generate-build-machine    | Incomplete. |
password-for-host         | Incomplete. |

# License

See LICENSE. In short, GPL-2.0-or-later and ISC.

# Contributions

Contributions are welcome.