# Common steps.

Given('I have distribution {string}') do |distribution|
  @distribution_name = distribution

  splitted = @distribution_name.split " "
  case splitted[0].downcase
  when "opensuse"
    @distribution_id = "opensuse-leap" # This is the ID in /etc/os-release
    @distribution_slug = "opensuse" # Whatever we’re using as identificator for a FAI mirror.
    @distribution_version = splitted[1]
  when "debian"
    @distribution_id = "debian"
    @distribution_slug = "debian" # Whatever we’re using as identificator for a FAI mirror.
    @distribution_version = splitted[1]
  end

  @distribution_our_slug = @distribution_name.gsub " ", "_"

end

