
When('I install {string} in QEMU') do |image_name|
  ARGV.clear
  #ARGV << "--verbose" << "--debug"
  ARGV << "qemu"
  ARGV << "--disk" << "/tmp/qemu_test_disk.raw"
  ARGV << "install"
  ARGV << "--boot-image" << image_name
  ARGV.flatten!

  log "Command: “ft #{ARGV.join(" ")}”"

  ft = FT.new
  ft.no_root_check = true
  ft.options
  ft.perform

  @install_qemu_object = ft.command_object
end

When('I boot to installed system') do
  ARGV.clear
  #ARGV << "--verbose" << "--debug"
  ARGV << "qemu"
  ARGV << "run"
  ARGV << "--disk" << "/tmp/qemu_test_disk.raw"
  ARGV << "--image" << image_name
  ARGV.flatten!

  log "Command: “ft #{ARGV.join(" ")}”"

  ft = FT.new
  ft.no_root_check = true
  ft.options
  ft.perform

  @run_qemu_object = ft.command_object
end

Then('I should have working installation') do
  pending # Write code here that turns the phrase above into concrete actions

  # Maybe could just SSH to in to do some small validation?
end

