# Changes

## 2.0.0-rc3 (28.01.2021)

* Converted create-update-cd to be "ft medium"

* ft nfsroot
    - Distro specific module omits
    - Only install recommended packages for suse

* create-update-cd
    - generate specific update medium grub config

* create-fai-mirror
    - Default to fai.conf’s config space instead of hardcoded path.
    - Allow reading distribution version from config

* ft fai-reprepro-mirror
    - Allow recreating nfsroot and the mirror.

* ft packages
    - Have -l output all packages
    - Implemented --fai-config-dir

## 2.0.0-rc2 (03.01.2021)

* create-update-cd
    - Fixes to suse handling

## 2.0.0-rc1 (31.12.2020)

* Implemented tests
* Many miscellaneous fixes

* ft nfsroot
    - Changed Debian base to be created as minimal as possible
    - Run post install configuration for nfsroot refresh also
    - handle terminal for suse better
    - Use firejail instead of chroot for SUSE nfsroot

* ft packages
    - set target distribution before setting distro commands

## 1.3.4 (16.12.2020)

* fai-config.rb
    - Default to target host slug for hostname

* create-update-cd
    - Save host classes using hostname instead of host slug

## 1.3.3 (15.12.2020)

* create-update-cd
    - write host classes to their files

* ft nfsroot
    - For SUSE, install systemd target to launch fai

## 1.3.2 (15.12.2020)

* options.rb
    - Only append output flag to array if it is set

* create-fai-mirror
    - Made it possible to use site specific source lists
    - Allow multi-dimensional FAI mirror paths
    - Removed debug exit from --force creation

* create-update-cd
    - Calculate hardlinks multiple times
    - Allow specifying only --target-site

## 1.3.1 (14.12.2020)

* create-fai-mirror
    - Don’t refresh nfsroot twice
    - Don’t die to nfsroot refresh

## 1.3.0 (14.12.2020)

* create-update-cd
    - concat --add-class classes to host configuration classes instead of replace
    - Make it possible to hide /var/tmp
    - Hide some kernel modules

* ft nfsroot
    - Fix regression in script running
    - Allow specifying compression algorithm for Dracut initrd

* create-fai-mirror
    - Converted to create nfsroot directly using scripts instead of forking

## 1.2.3 (9.12.2020)

* create-fai-mirror
    - Pass --no-dracut to nfsroot
    - Added means to read included classes from host configurations

## 1.2.2 (8.12.2020)

* ft base
    - Added --no-compress
    - Added --output-directory
* create-update-cd
    - Fixed error in nfsroot handling

## 1.2.1 (3.12.2020)

* create-update-cd
    - Fixed a syntax error

## 1.2.0 (1.12.2020)

* ft nfsroot
    - don’t execute directories as hooks
    - modularized structure of the script

* create-update-cd
    - write new_classes file inside the nfsroot too

##  1.1.0 (2020-11-20)

* create-update-cd
    - Don’t die if target config is not loaded.
* create-fai-mirror
    - Allow custom config space paths

## 1.0.0

* Initial release
