Feature: Running install media in QEMU is useful for testing purposes
It is useful to conveniently test images that they really do what they are meant to, before throwing them to production.

  Scenario Outline: Installing a medium in QEMU should work
    Given I have distribution "<distribution_name>"
    And I have existing nfsroot with following attributes:
      | dracut        | <dracut>            |
    And I have a FAI mirror
    And I have install medium with following data:
      | image_name    | <image_name>        |
      | distribution  | <distribution_slug> |
      | dist_version  | <dist_version>      |
    When I install "<image_name>" in QEMU
    And I boot to installed system
    Then I should have working installation

  # TODO: Add a Debian example here.
  Examples:
    | distribution_name   | dracut  | image_name              | distribution_slug | dist_version  |
    | OpenSUSE 15.2       | true    | test-opensuse-15.2.iso  | opensuse          | 15.2          |

