
# TODO: The symlink I need to create (fai-toolkit), probably needs to be resolved in better way.
$:.unshift "#{__dir__}/../.."

# Ensure our variables are not set before test.
def unset_vars
  ENV["FAI"] = nil
end

# Ensure there won’t be existing data before running tests.
$test_fai_mirror = "/tmp/test_mirror"
Before do
  FileUtils.rm_rf $test_fai_mirror

  unset_vars
end

AfterStep do
  unset_vars

  # Ensure we are at top of the project, even if something changes current working dir earlier.
  Dir.chdir "#{__dir__}/../.."
end

# Path where tests save generated base archive for reuse.
$BASE_ARCHIVE_PATH = "/tmp/base.tar.lz4"