
require "fileutils"
require "optimist"

require_relative "../fai-config"
require_relative "packaging"

# TODO: this is probably just useless, since this is pretty one-off script. Better just have necessary steps documented somewhere.
class Packaging::GenerateBuildMachine
  include Common

  def perform
    startup_checks
    real_perform
  end

  def options
    options = Optimist::options do
      opt :filename,          "Path to resulting file",
          short: "n", type: :string
      opt :force,             "Overwrite existing image",
          short: "f"
      opt :debug,             "Show debug output",
          short: "d"
      opt :verbose,           "Show verbose output",
          short: "v"
    end

    set_opts options

    if File.exist? options[:filename]
      unless options[:force]
        raise "File #{options[:filename]} already exists."
      else
        FileUtils.rm options[:filename]
      end
    end
    @result_filename = options[:filename]
  end

  private

  def real_perform
    TODO
  end

  def startup_checks
    TODO
  end
end
