require "fileutils"

require_relative "packages-impl"

class Packaging::PackagesSuse < Packaging::PackagesImpl

  def startup_checks
    # Nya.
  end

  def download_commands pm_command_options, install_options
    {
      "zypper" => "zypper --non-interactive #{pm_command_options} install -l -d #{install_options}"
    }
  end

  # Dummy implementation.
  def create_package_list packages
    complete = packages.dup

    known = complete

    writepackages known

    known
  end

  def readconfig_checks type, file, line
    # Nya.
  end

  private

  def get_sources known
    raise "get_sources() is not implemented for SUSE so far."

    # TODO: implement this flag.
    return unless $opt_s;

    verb "Trying to retrieve sources as specified via -s option for install_packages"

    if !ENV["FAI_DEBSOURCESDIR"]
      error "FAI_DEBSOURCESDIR is not set, cannot retrieve sources."
    end

    execute("#{@rootcmd} sh -c \"mkdir -p #{@debsourcesdir};\"");
    execute("mkdir -p #{ENV['FAI_DEBSOURCESDIR']};");
    known.each do |package|
      execute("#{@rootcmd} sh -c \"cd #{@debsourcesdir} ; apt-get --download-only source #{package}\"");
      execute("mv #{@FAI_ROOT}/#{@debsourcesdir}/* #{ENV['FAI_DEBSOURCESDIR']}");
    end
  end
end